Skip to main content
`Ctrl`+`K`

# PetscDualSpaceRegisterAll

Registers all of the PetscDualSpace components in the PetscFE package.

## Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceRegisterAll(void)

Not Collective

## See Also

`PetscDualSpaceRegister()`, `PetscDualSpaceRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmregall.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages